StaticRouterRpcFairnessPolicyController (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.fairness, class: StaticRouterRpcFairnessPolicyController

Package org.apache.hadoop.hdfs.server.federation.fairness

# Class StaticRouterRpcFairnessPolicyController

java.lang.Object
org.apache.hadoop.hdfs.server.federation.fairness.AbstractRouterRpcFairnessPolicyController
org.apache.hadoop.hdfs.server.federation.fairness.StaticRouterRpcFairnessPolicyController

All Implemented Interfaces:
  `RouterRpcFairnessPolicyController`

public class StaticRouterRpcFairnessPolicyController extends AbstractRouterRpcFairnessPolicyController
Static fairness policy extending @AbstractRouterRpcFairnessPolicyController and fetching handlers from configuration for all available name services. The handlers count will not change for this controller.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ERROR_MSG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StaticRouterRpcFairnessPolicyController(org.apache.hadoop.conf.Configuration conf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(org.apache.hadoop.conf.Configuration conf)`

  ### Methods inherited from class org.apache.hadoop.hdfs.server.federation.fairness.AbstractRouterRpcFairnessPolicyController

  `acquirePermit, contains, getAvailableHandlerOnPerNs, getAvailablePermits, insertNameServiceWithPermits, releasePermit, shutdown`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ERROR_MSG

    public static final String ERROR_MSG
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StaticRouterRpcFairnessPolicyController

    public StaticRouterRpcFairnessPolicyController(org.apache.hadoop.conf.Configuration conf)

- ## Method Details

  - ### init

    public void init(org.apache.hadoop.conf.Configuration conf) throws IllegalArgumentException
    Overrides:
      `init` in class `AbstractRouterRpcFairnessPolicyController`
    Throws:
      `IllegalArgumentException`